Loading...
Searching...
No Matches
solver_umfpack_rep< T, M >

## Detailed Description

template<class T, class M>
class rheolef::solver_umfpack_rep< T, M >

Definition at line 40 of file solver_umfpack.h.

Inheritance diagram for solver_umfpack_rep< T, M >:

## Public Types

typedef solver_abstract_rep< T, M > | base
typedef base::size_type | size_type
typedef base::determinant_type | determinant_type
Public Types inherited from solver_abstract_rep< T, M >
typedef csr< T, M >::size_type | size_type

## Public Member Functions

| solver_umfpack_rep ()
| solver_umfpack_rep (const csr< T, M > &a, const solver_option &opt=solver_option())
solver_abstract_rep< T, M > * | clone () const
bool | initialized () const
void | update_values (const csr< T, M > &a)
| ~solver_umfpack_rep ()
vec< T, M > | trans_solve (const vec< T, M > &rhs) const
vec< T, M > | solve (const vec< T, M > &rhs) const
determinant_type | det () const
Public Member Functions inherited from solver_abstract_rep< T, M >
| solver_abstract_rep (const solver_option &opt)
| solver_abstract_rep (const solver_abstract_rep &x)
const solver_option & | option () const
virtual | ~solver_abstract_rep ()
virtual void | set_preconditioner (const solver_basic< T, M > &)
virtual std::string | name () const

## Protected Member Functions

void | _set_control ()
void | _destroy ()
void | _solve (int transpose_flag, const vec< T, M > &b, vec< T, M > &x) const

## Protected Attributes

int | _n
void * | _numeric
int * | _ia_p
int * | _ja_p
T * | _a_p
determinant_type | _det
double | _control [UMFPACK_INFO]
double | _info [UMFPACK_INFO]
Protected Attributes inherited from solver_abstract_rep< T, M >
solver_option | _opt

## Additional Inherited Members

Static Public Member Functions inherited from solver_abstract_rep< T, M >
static solver_abstract_rep< T, M > * | make_solver_ptr (const csr< T, M > &a, const solver_option &opt)

## Member Typedef Documentation

## base

template<class T, class M>

typedef solver_abstract_rep<T,M> base

Definition at line 44 of file solver_umfpack.h.

## size_type

template<class T, class M>

typedef base::size_type size_type

Definition at line 45 of file solver_umfpack.h.

## determinant_type

template<class T, class M>

typedef base::determinant_type determinant_type

Definition at line 46 of file solver_umfpack.h.

## Constructor & Destructor Documentation

## solver_umfpack_rep() [1/2]

template<class T, class M>

solver_umfpack_rep | ( |  | ) |

Definition at line 72 of file solver_umfpack.cc.

## solver_umfpack_rep() [2/2]

template<class T, class M>

solver_umfpack_rep | ( | const csr< T, M > & | a,
|  | const solver_option & | opt = solver_option() )

explicit

Definition at line 85 of file solver_umfpack.cc.

## ~solver_umfpack_rep()

template<class T, class M>

~solver_umfpack_rep | ( |  | ) |

Definition at line 130 of file solver_umfpack.cc.

## Member Function Documentation

## clone()

template<class T, class M>

solver_abstract_rep< T, M > * clone | ( |  | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 85 of file solver_umfpack.h.

## initialized()

template<class T, class M>

bool initialized | ( |  | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 53 of file solver_umfpack.h.

## update_values()

template<class T, class M>

void update_values | ( | const csr< T, M > & | a | ) |

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 146 of file solver_umfpack.cc.

## trans_solve()

template<class T, class M>

vec< T, M > trans_solve | ( | const vec< T, M > & | rhs | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 195 of file solver_umfpack.cc.

## solve()

template<class T, class M>

vec< T, M > solve | ( | const vec< T, M > & | rhs | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 186 of file solver_umfpack.cc.

## det()

template<class T, class M>

determinant_type det | ( |  | ) | const

virtual

Reimplemented from solver_abstract_rep< T, M >.

Definition at line 61 of file solver_umfpack.h.

## _set_control()

template<class T, class M>

void _set_control | ( |  | ) |

protected

Definition at line 124 of file solver_umfpack.cc.

## _destroy()

template<class T, class M>

void _destroy | ( |  | ) |

protected

Definition at line 136 of file solver_umfpack.cc.

## _solve()

template<class T, class M>

void _solve | ( | int | transpose_flag,
|  | const vec< T, M > & | b,
|  | vec< T, M > & | x ) const

protected

Definition at line 179 of file solver_umfpack.cc.

## Member Data Documentation

## _n

template<class T, class M>

int _n

protected

Definition at line 65 of file solver_umfpack.h.

## _numeric

template<class T, class M>

void* _numeric

protected

Definition at line 66 of file solver_umfpack.h.

## _ia_p

template<class T, class M>

int* _ia_p

protected

Definition at line 67 of file solver_umfpack.h.

## _ja_p

template<class T, class M>

int* _ja_p

protected

Definition at line 68 of file solver_umfpack.h.

## _a_p

template<class T, class M>

T* _a_p

protected

Definition at line 69 of file solver_umfpack.h.

## _det

template<class T, class M>

determinant_type _det

protected

Definition at line 70 of file solver_umfpack.h.

## _control

template<class T, class M>

double _control[UMFPACK_INFO]

protected

Definition at line 71 of file solver_umfpack.h.

## _info

template<class T, class M>

double _info[UMFPACK_INFO]

mutable protected

Definition at line 72 of file solver_umfpack.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/solver_umfpack.h
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/solver_umfpack.cc